Last Comment Bug 725038 - No visual indication that final line of scratchpad is selected
: No visual indication that final line of scratchpad is selected
Status: RESOLVED FIXED
[sourceeeditor][orion]
:
Product: Firefox
Classification: Client Software
Component: Developer Tools: Scratchpad (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
: Julian Descottes [:jdescottes]
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-07 11:50 PST by Josh Matthews [:jdm] (on vacation until Dec 5)
Modified: 2012-08-02 09:31 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Scratchpad selection over the final line (210.74 KB, image/jpeg)
2012-02-27 05:50 PST, Pranav Ravichandran [:pranavrc]
no flags Details

Description Josh Matthews [:jdm] (on vacation until Dec 5) 2012-02-07 11:50:51 PST
STR:
1. add some lines to scratchpad
2. use keyboard to select multiple lines
3. try to select past the penultimate line

Expected:
The final line is highlighted

Actual:
The final line is not highlighted, but the selection still responds to keyboard events
Comment 1 Pranav Ravichandran [:pranavrc] 2012-02-27 05:50:03 PST
Created attachment 600878 [details]
Scratchpad selection over the final line

I think this is a cross-platform problem. I can reproduce it in Linux and Windows.

Usually, selection should stop at a point beyond which the caret hasn't traversed, but I might be wrong. If this is a bug to fix in Linux and Windows, I could take it up.
Comment 2 Mihai Sucan [:msucan] 2012-02-29 11:44:22 PST
(In reply to Josh Matthews [:jdm] from comment #0)
> STR:
> 1. add some lines to scratchpad
> 2. use keyboard to select multiple lines
> 3. try to select past the penultimate line
> 
> Expected:
> The final line is highlighted
> 
> Actual:
> The final line is not highlighted, but the selection still responds to
> keyboard events

This is working "as designed", but it's a bit unexpected, indeed.

If you do Shift-Down you can't move the cursor to some offset that doesn't exist on the next line. This needs to be special-cased in Orion's upstream code to go to the end of the line when it's the last line. Similar for Shift-Up.

Reported the bug upstream:
https://bugs.eclipse.org/bugs/show_bug.cgi?id=372898


(In reply to Pranav Ravichandran [:pranavrc] from comment #1)
> Created attachment 600878 [details]
> Scratchpad selection over the final line
> 
> I think this is a cross-platform problem. I can reproduce it in Linux and
> Windows.
> 
> Usually, selection should stop at a point beyond which the caret hasn't
> traversed, but I might be wrong. If this is a bug to fix in Linux and
> Windows, I could take it up.

Thanks Pranav! This is not directly a source editor bug. This is an Orion bug. If you want to fix this, please do it upstream. See http://wiki.eclipse.org/Orion for how to get started.
Comment 3 Mihai Sucan [:msucan] 2012-04-04 09:11:31 PDT
Orion upstream has fixed the bug. That fix will land in Firefox with the next Orion update we will do.
Comment 4 Rob Campbell [:rc] (:robcee) 2012-08-02 09:31:27 PDT
fixed by upstream changes. Closing.

Filter on BLACKEAGLE?!

Note You need to log in before you can comment on or make changes to this bug.